Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class Jetty6MavenConfiguration

    java.lang.Object
      org.mortbay.jetty.webapp.WebXmlConfiguration
          org.mortbay.jetty.plus.webapp.AbstractConfiguration
              org.mortbay.jetty.plus.webapp.Configuration
                  org.mortbay.jetty.plugin.Jetty6MavenConfiguration

All Implemented Interfaces:
  Serializable, Configuration

    public class Jetty6MavenConfiguration

extends Configuration

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mortbay.jetty.plus.webapp.AbstractConfiguration
`_callbacks, _injections, _runAsCollection`

Fields inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`_constraintMappings, _context, _defaultWelcomeFileList, _errorPages, _filterMappings, _filters, _hasJSP, _jspServletClass, _jspServletName, _listeners, _servletHandler, _servletMappings, _servlets, _version, _welcomeFiles, _xmlParser`

Constructor Summary
`Jetty6MavenConfiguration()`

Method Summary
`void` | `configureClassLoader()` Set up the classloader for the webapp, using the various parts of the Maven project
`protected URL` | `findWebXml()`
`void` | `parseAnnotations()` Parse all classes that are mentioned in web.xml (servlets, filters, listeners) for annotations.
`void` | `setClassPathConfiguration(List classPathFiles)`
`void` | `setWebXml(File webXmlFile)`

Methods inherited from class org.mortbay.jetty.plus.webapp.Configuration
`bindEnvEntry, bindMessageDestinationRef, bindResourceEnvRef, bindResourceRef, bindUserTransaction, configureDefaults, configureWebApp, deconfigureWebApp, lockCompEnv, unlockCompEnv`

Methods inherited from class org.mortbay.jetty.plus.webapp.AbstractConfiguration
`callPreDestroyCallbacks, configure, initEnvEntry, initialize, initInjection, initMessageDestinationRef, initPostConstruct, initPreDestroy, initResourceEnvRef, initResourceRef, initWebXmlElement, injectAndCallPostConstructCallbacks, setWebAppContext`

Methods inherited from class org.mortbay.jetty.webapp.WebXmlConfiguration
`getJSPServletName, getWebAppContext, initContextParam, initDisplayName, initDistributable, initErrorPage, initFilter, initFilterMapping, initJspConfig, initListener, initLocaleEncodingList, initLoginConfig, initMimeConfig, initSecurityConstraint, initSecurityRole, initServlet, initServletMapping, initSessionConfig, initTagLib, initWelcomeFileList, newListenerInstance, normalizePattern, webXmlParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jetty6MavenConfiguration

    public Jetty6MavenConfiguration()

Method Detail

### setClassPathConfiguration

    public void setClassPathConfiguration(List classPathFiles)

### setWebXml

    public void setWebXml(File webXmlFile)

### configureClassLoader

    public void configureClassLoader()
                              throws Exception

  Set up the classloader for the webapp, using the various parts of the Maven project

  Specified by:
    `configureClassLoader` in interface `Configuration`
  Overrides:
    `configureClassLoader` in class `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.configureClassLoader()`

### findWebXml

    protected URL findWebXml()
                      throws IOException,
                             MalformedURLException

  Overrides:
    `findWebXml` in class `WebXmlConfiguration`
  Throws:
    `IOException`
    `MalformedURLException`

### parseAnnotations

    public void parseAnnotations()
                          throws Exception

  Description copied from class: `AbstractConfiguration`
  Parse all classes that are mentioned in web.xml (servlets, filters, listeners) for annotations.

  Overrides:
    `parseAnnotations` in class `Configuration`
  Throws:
    `Exception`
  See Also:
    `AbstractConfiguration.parseAnnotations()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.